GNU bug report logs - #51040
No curved quotes in format-prompt and minibuffer-default-prompt-format

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Stefan Kangas <stefan@HIDDEN>; Keywords: patch; dated Tue, 5 Oct 2021 16:41:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 12 Oct 2021 23:22:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 19:22:02 2021
Received: from localhost ([127.0.0.1]:55748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maR5u-0006xG-H0
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 19:22:02 -0400
Received: from mail-pl1-f177.google.com ([209.85.214.177]:39520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1maR5q-0006wd-Pw
 for 51040 <at> debbugs.gnu.org; Tue, 12 Oct 2021 19:22:01 -0400
Received: by mail-pl1-f177.google.com with SMTP id c4so555221pls.6
 for <51040 <at> debbugs.gnu.org>; Tue, 12 Oct 2021 16:21:58 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=cVT8ynJm5jtDcfiBm9tfDAjQGYEDZwCnvQy2aV72XfA=;
 b=U5M9YRzz98W0xDncyCk9mq8jywiT7jTrm1r/AGyGVwE4rYWXdYQ7krZu9tdRSXcCVO
 lOcKOuGdr74wUHyUi5ij9Pikj08tZ8uAjZwRy0rplPsNxGEu0N7GtBZGq3s0yKsW4DTg
 lwSI67AWm3MrYnNEAozDf16S6o+8ngaCGHPeFSQL1olNQOey6U42fSrtj4F9qylBoLP1
 l5XH4AjD3zEW+Fsl22LuZAiKWIMX6rRSb3F8Xs1+ujgpJPMEinht1VCZ58X7JkqZIkAz
 DEJ+3ZWJkgpXoejiwhIcJUARPTh2PlvrMhP7/fHr+nC0cMyszoEYXq1I3ruAFNoLgpEY
 elZg==
X-Gm-Message-State: AOAM532gJJ/5zunsduGyBdKnq6ygjkZJ2wcrqegBnOzmVplCVpacGyXU
 zdfG9twIcF5ahI3lEDjv9WAJVwtFfkjqa5H6vnt1IKdI
X-Google-Smtp-Source: ABdhPJyqPlD0xRbI+HJIBY2lvJlvS/rucbXXfggLvAqz8xm3m8jNRQU01j1AEWvzMCe1t99Vw8k9r35+vy3BbTFyMAk=
X-Received: by 2002:a17:902:b691:b029:12d:2b6:d116 with SMTP id
 c17-20020a170902b691b029012d02b6d116mr32405812pls.71.1634080912969; Tue, 12
 Oct 2021 16:21:52 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 12 Oct 2021 16:21:52 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83ily2ozhr.fsf@HIDDEN>
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
 <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
 <87fstefs2u.fsf@HIDDEN>
 <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
 <83lf2yquan.fsf@HIDDEN>
 <CADwFkm=G0-AzyhBS7Fa9FX0OWFmHMrVRevJDCmXCFxoz8bs9hg@HIDDEN>
 <83r1cqp5l7.fsf@HIDDEN>
 <CADwFkmnOEo0eRgoTsc34KZ-+VwF44WPwZf7ADzt4-wtP6FXN+g@HIDDEN>
 <83ily2ozhr.fsf@HIDDEN>
MIME-Version: 1.0
Date: Tue, 12 Oct 2021 16:21:52 -0700
Message-ID: <CADwFkmn+nqUhbK8P0Eo4OyW3XBCv8ZxGjuZx+Y+jHO6EMmttOw@HIDDEN>
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000005a271305ce301c9c"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--0000000000005a271305ce301c9c
Content-Type: text/plain; charset="UTF-8"

Eli Zaretskii <eliz@HIDDEN> writes:

> Ouch! what a mess do we have with this stuff!
>
>   . the doc string of text-quoting-style the function doesn't document
>     its return values, but refers to the variable, so it's easy to
>     conclude that it also returns nil
>   . that doc string says "effective style", without explaining the
>     special processing of nil
>   . the function is not in the ELisp manual, but the variable is,
>     twice(!)

Yeah, it's a mess.  I suggest we address the documentation issues on
emacs-28 with the attached patch.

I compared the duplicate text, and the only thing that was different is
that the word "variable" had been changed into "option".  So I deleted
the one in the wrong section and that incorrectly said "variable".

--0000000000005a271305ce301c9c
Content-Type: text/x-diff; charset="utf-8"; 
	name="0001-Doc-fixes-for-text-quoting-style.patch"
Content-Disposition: attachment; 
	filename="0001-Doc-fixes-for-text-quoting-style.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 225062e724d03542_0.1
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--0000000000005a271305ce301c9c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 12 Oct 2021 18:43:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 14:43:44 2021
Received: from localhost ([127.0.0.1]:53393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maMka-0005aF-4g
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 14:43:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1maMkX-0005Zu-Hp
 for 51040 <at> debbugs.gnu.org; Tue, 12 Oct 2021 14:43:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52094)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1maMkS-0000N9-1I; Tue, 12 Oct 2021 14:43:36 -0400
Received: from [87.69.77.57] (port=1322 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1maMkR-0000xB-KZ; Tue, 12 Oct 2021 14:43:35 -0400
Date: Tue, 12 Oct 2021 21:43:28 +0300
Message-Id: <83ily2ozhr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmnOEo0eRgoTsc34KZ-+VwF44WPwZf7ADzt4-wtP6FXN+g@HIDDEN>
 (message from Stefan Kangas on Tue, 12 Oct 2021 10:26:53 -0700)
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
 <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
 <87fstefs2u.fsf@HIDDEN>
 <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
 <83lf2yquan.fsf@HIDDEN>
 <CADwFkm=G0-AzyhBS7Fa9FX0OWFmHMrVRevJDCmXCFxoz8bs9hg@HIDDEN>
 <83r1cqp5l7.fsf@HIDDEN>
 <CADwFkmnOEo0eRgoTsc34KZ-+VwF44WPwZf7ADzt4-wtP6FXN+g@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Tue, 12 Oct 2021 10:26:53 -0700
> Cc: larsi@HIDDEN, 51040 <at> debbugs.gnu.org
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > (And why do you use the function and not the variable, btw?)
> 
> This is because that's how it's been designed to be used (not by me):
> 
> - `text-quoting-style' is the user option.
> 
> - Any code that wants to know what nil means should call the function
>   `text-quoting-style' because the information needed is only available
>   to C.  See default_to_grave_quoting_style in doc.c.  Maybe it could be
>   moved to Lisp but the fundamental issue would be the same.
> 
> The alternative to this is to replicate default_to_grave_quoting_style
> everywhere we want to access the `text-quoting-style' variable and
> interpret nil.

Ouch! what a mess do we have with this stuff!

  . the doc string of text-quoting-style the function doesn't document
    its return values, but refers to the variable, so it's easy to
    conclude that it also returns nil
  . that doc string says "effective style", without explaining the
    special processing of nil
  . the function is not in the ELisp manual, but the variable is,
    twice(!)

> > That's worth a comment, IMO.
> 
> Hmm, I could have sworn this was already documented in the
> `text-quoting-style' variable docstring but it seems that it is not.
> 
> I would suggest that we document it there, instead of adding a comment
> everywhere we use it.

How many places like that do we have that we should worry?

> >> IOW, I'm happy to add something, but I'm not sure what that would
> >> be.
> >
> > It should at least say that any callers of the new function will be
> > affected by text-quoting-style.
> 
> The `substitute-quotes' docstring currently says this:

I was talking about the doc string of text-quoting-style.  It refer
neither to substitute-command-keys nor to substitute-quotes, only to
(some of) their callers.

> >> The reason for the change is that we want curved quotes for all the
> >> usual reasons
> >
> > We do?  Who is "we" here?  I sense another heated argument about this
> > issue, which was a hard sell even in the help and error messages.  My
> > take from that argument is that "we" want to limit these conversions
> > to as few contexts as possible, to keep the community at peace, if for
> > no other reason.
> 
> ISTR several posts of your own to emacs-devel defending this position?

You misunderstood what I was saying there.

> > IOW, I'd be okay with an opt-in feature that would perform such
> > substitutions, if the Lisp program wants that.  But why enforce that?
> 
> I don't see the risk for controversy, as e.g. `format-message' already
> does such substitutions.

That's part of the substitute-command-keys change with
text-quoting-style, and was done in the past.  I'm asking why would we
want another painful chapter like that.

> This change is about avoiding the inconsistency where `format-messages'
> does quote substitutions but `format-prompt' does not.

What inconsistency?  format-messages is about echo-area messages,
whereas format-prompt is about something else.  That we changed one
doesn't mean we must change the other.  It's a separate decision, and
now we have the benefit of the experience we didn't back then.

> If it is too much with `substitute-command-keys', I think it should be
> perfectly fine with just doing the quote substitutions.  We could use
> `format-message' to achieve it in Emacs 28.

Sorry, I don't follow you here.

> > Not if this becomes now the canon of prompting the user, it isn't.
> 
> In practice, `format-prompt' is only used for prompts where there is a
> default.  Note that the second (DEFAULT) argument is not optional, which
> makes it a bit awkward to use in other cases.
> 
> AFAICT, for messages without a default `format-message' is almost closer
> to being the canonical way of formatting a prompt.
> 
> In reality, however, most prompts (in our code at least) don't use any
> of them.
> 
> We could of course go in different directions:
> 
> - We say that `(format-prompt "Foo" nil)' is fine and what we want
>   everywhere.  No more `format-message', no more naked strings.
> 
> - We extend the `completing-read' and friends to accept a cons as its
>   second argument, where the car is the prompt (to be passed to
>   `format-message') and the cdr is the default.
> 
> - Something else.

We are mis-communicating.  My main problem is with changing the
default behavior of the prompts; I'm okay with having this as an
option.  How are the other things relevant to that?

> (I don't think "salami tactics" is the right term, as that sort of
> implies that someone has an overreaching plan.  AFAICT, that is
> precisely what is missing.  ;-)

No, it means there's a slip on a slippery slope.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 12 Oct 2021 17:27:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 13:27:07 2021
Received: from localhost ([127.0.0.1]:52227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maLYN-0000Lr-Tc
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:27:07 -0400
Received: from mail-pj1-f41.google.com ([209.85.216.41]:45848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1maLYK-0000LD-Mt
 for 51040 <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:27:01 -0400
Received: by mail-pj1-f41.google.com with SMTP id
 ls14-20020a17090b350e00b001a00e2251c8so162224pjb.4
 for <51040 <at> debbugs.gnu.org>; Tue, 12 Oct 2021 10:27:00 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=2US4gJ80hxHPzMv8gvlyCdG0uTzMvK2DmTaKhpfixqA=;
 b=w+UWu04ENelVO2dYkZsMWcKfeZp9foHwZ2eSgzj3q2BqUTX6iJDmlyAO7SLUTNW+BA
 HHD/oK9fgQyZNGUzJxLH2TFZYZKpbOtU125SQ0mcopGeuWPnEJXOZ+IxVXR0iu3zbTo3
 P56BaQl7yOb4p1JJRMv9WxYrOitqPvE409gzM+wo8Q0axnBYyrhWH5e2ErdBsUD52Ac+
 wLXTQriwKoa78CyM8I3DloFWpWkWhDqm9lm/jiPY1d5n8b2q1os1lnjYB0Y+7moOb/ja
 fe2lajKlomh/xzQyGcYx4X2FRrQyHDtPcLs3c0/htH8/t5Y0id24Ktv7Y3pIv2iGIJ4W
 TtpQ==
X-Gm-Message-State: AOAM530IJc7UoZw5I1VM4wSga/GWJoIZf1sW2C0Cmr2qMXWIwuRPIKpO
 1sYDmsGJs4SKLg7slgcDEHBErh7CoLzoYypNsX0=
X-Google-Smtp-Source: ABdhPJyvecappJapwVZWRP5oplnDv2fGcno6NintN6Y8Wl77if8wpY6np4MOSAbPBlMm0hTOagwW4zkJVD4YuaF/OLw=
X-Received: by 2002:a17:90a:460a:: with SMTP id
 w10mr7536486pjg.132.1634059614082; 
 Tue, 12 Oct 2021 10:26:54 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 12 Oct 2021 10:26:53 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83r1cqp5l7.fsf@HIDDEN>
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
 <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
 <87fstefs2u.fsf@HIDDEN>
 <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
 <83lf2yquan.fsf@HIDDEN>
 <CADwFkm=G0-AzyhBS7Fa9FX0OWFmHMrVRevJDCmXCFxoz8bs9hg@HIDDEN>
 <83r1cqp5l7.fsf@HIDDEN>
MIME-Version: 1.0
Date: Tue, 12 Oct 2021 10:26:53 -0700
Message-ID: <CADwFkmnOEo0eRgoTsc34KZ-+VwF44WPwZf7ADzt4-wtP6FXN+g@HIDDEN>
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> (And why do you use the function and not the variable, btw?)

This is because that's how it's been designed to be used (not by me):

- `text-quoting-style' is the user option.

- Any code that wants to know what nil means should call the function
  `text-quoting-style' because the information needed is only available
  to C.  See default_to_grave_quoting_style in doc.c.  Maybe it could be
  moved to Lisp but the fundamental issue would be the same.

The alternative to this is to replicate default_to_grave_quoting_style
everywhere we want to access the `text-quoting-style' variable and
interpret nil.

> That's worth a comment, IMO.

Hmm, I could have sworn this was already documented in the
`text-quoting-style' variable docstring but it seems that it is not.

I would suggest that we document it there, instead of adding a comment
everywhere we use it.

>> IOW, I'm happy to add something, but I'm not sure what that would
>> be.
>
> It should at least say that any callers of the new function will be
> affected by text-quoting-style.

The `substitute-quotes' docstring currently says this:

    Substitute quote characters for display.
    Each grave accent ` is replaced by left quote, and each
    apostrophe ' is replaced by right quote.  Left and right quote
    characters are specified by =E2=80=98text-quoting-style=E2=80=99.

>> The reason for the change is that we want curved quotes for all the
>> usual reasons
>
> We do?  Who is "we" here?  I sense another heated argument about this
> issue, which was a hard sell even in the help and error messages.  My
> take from that argument is that "we" want to limit these conversions
> to as few contexts as possible, to keep the community at peace, if for
> no other reason.

ISTR several posts of your own to emacs-devel defending this position?
But see below.

>> and it might be useful to allow command substitutions as well, in
>> case a prompt wants to show a keybinding.
>
> But the change forces this on anyone who uses format-prompt, doesn't
> it?  And we are now advertising format-prompt as THE canonical way of
> producing prompts, don't we?  And we are proactively converting code
> that issues prompts to use format-prompt, don't we?  So soon enough
> every prompt will be forced to undergo these substitutions, whether it
> wants or not.  Even worse, commands that don't use format-prompt will
> produce prompts that look differently from those which do.  Right?
>
> IOW, I'd be okay with an opt-in feature that would perform such
> substitutions, if the Lisp program wants that.  But why enforce that?

I don't see the risk for controversy, as e.g. `format-message' already
does such substitutions.  Granted, it does not do the full monty
(command substitutions) but it does do the replacement of quoting
characters.  See its docstring.  So the argument is already won for the
"quoted curves in messages where it is supported" side, AFAICT.

This change is about avoiding the inconsistency where `format-messages'
does quote substitutions but `format-prompt' does not.

If it is too much with `substitute-command-keys', I think it should be
perfectly fine with just doing the quote substitutions.  We could use
`format-message' to achieve it in Emacs 28.

> Not if this becomes now the canon of prompting the user, it isn't.

In practice, `format-prompt' is only used for prompts where there is a
default.  Note that the second (DEFAULT) argument is not optional, which
makes it a bit awkward to use in other cases.

AFAICT, for messages without a default `format-message' is almost closer
to being the canonical way of formatting a prompt.

In reality, however, most prompts (in our code at least) don't use any
of them.

We could of course go in different directions:

- We say that `(format-prompt "Foo" nil)' is fine and what we want
  everywhere.  No more `format-message', no more naked strings.

- We extend the `completing-read' and friends to accept a cons as its
  second argument, where the car is the prompt (to be passed to
  `format-message') and the cdr is the default.

- Something else.

IOW, this area is not exactly clear-cut yet, but there's a slow movement
towards more unification along certain lines.  I agree that so far no
one has presented an overall roadmap, so the process is clearly a bit
haphazard.

(I don't think "salami tactics" is the right term, as that sort of
implies that someone has an overreaching plan.  AFAICT, that is
precisely what is missing.  ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 12 Oct 2021 16:32:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 12:32:03 2021
Received: from localhost ([127.0.0.1]:50936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maKh9-00048M-DV
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 12:32:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35854)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1maKh8-00047o-4U
 for 51040 <at> debbugs.gnu.org; Tue, 12 Oct 2021 12:32:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47862)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1maKh2-0007xT-LJ; Tue, 12 Oct 2021 12:31:56 -0400
Received: from [87.69.77.57] (port=4926 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1maKh2-0007It-81; Tue, 12 Oct 2021 12:31:56 -0400
Date: Tue, 12 Oct 2021 19:31:48 +0300
Message-Id: <83r1cqp5l7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=G0-AzyhBS7Fa9FX0OWFmHMrVRevJDCmXCFxoz8bs9hg@HIDDEN>
 (message from Stefan Kangas on Tue, 12 Oct 2021 08:59:15 -0700)
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
 <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
 <87fstefs2u.fsf@HIDDEN>
 <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
 <83lf2yquan.fsf@HIDDEN>
 <CADwFkm=G0-AzyhBS7Fa9FX0OWFmHMrVRevJDCmXCFxoz8bs9hg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Tue, 12 Oct 2021 08:59:15 -0700
> Cc: larsi@HIDDEN, 51040 <at> debbugs.gnu.org
> 
> > Also, this seems to ignore the nil value of text-quoting-style?
> 
> The reason is that `text-quoting-style' (the function) handles this
> already, and will never return nil.  (This is arguably a bit confusing,
> but it is what it is.)

That's worth a comment, IMO.

(And why do you use the function and not the variable, btw?)

> > And finally, I think the doc string of text-quoting-style should be
> > amended, since it says that variable's effect is limited to help text
> > and format-message, but now it seems its effect will spread much
> > wider.
> 
> Hmm, in what sense will it spread wider?

In the sense that any caller of substitute-quotes will introduce this
into any text that is constructed from the results.

> I think this will still be limited to help and messages?

There's no way for us to limit the domain of its usage, in practice.

> IOW, I'm happy to add something, but I'm not sure what that would
> be.

It should at least say that any callers of the new function will be
affected by text-quoting-style.

> >> * lisp/minibuffer.el (format-prompt): Use substitute-command-keys.
> >> (Bug#51040)
> >
> > I'm not sure I understand the rationale for this.  This will change
> > the appearance of formatted prompts, won't it?  So people will now
> > have to use \\=' to get a literal apostrophe?  is that really what we
> > want, and if so, why?
> 
> The reason for the change is that we want curved quotes for all the
> usual reasons

We do?  Who is "we" here?  I sense another heated argument about this
issue, which was a hard sell even in the help and error messages.  My
take from that argument is that "we" want to limit these conversions
to as few contexts as possible, to keep the community at peace, if for
no other reason.

> and it might be useful to allow command substitutions as well, in
> case a prompt wants to show a keybinding.

But the change forces this on anyone who uses format-prompt, doesn't
it?  And we are now advertising format-prompt as THE canonical way of
producing prompts, don't we?  And we are proactively converting code
that issues prompts to use format-prompt, don't we?  So soon enough
every prompt will be forced to undergo these substitutions, whether it
wants or not.  Even worse, commands that don't use format-prompt will
produce prompts that look differently from those which do.  Right?

IOW, I'd be okay with an opt-in feature that would perform such
substitutions, if the Lisp program wants that.  But why enforce that?

> format-prompt is new in Emacs 28.1, so I guess we're deciding its
> semantics now.

I'm sorry, but to me this looks like a salami tactics, not a rational
decision-making process.  We decide that it would be nice to have
format-prompt that replaces boilerplate code, so far so good.  Then we
start adding features to it that have nothing to do with boilerplate,
they change the behavior in significant ways.  IOW, the semantics are
the side effect of adding more and more features without any
discussion of the roadmap or the goal which we want to achieve.

> That may or may not be strong enough reason to push this change to
> emacs-28 instead of master.

Not if this becomes now the canon of prompting the user, it isn't.

> +@defun substitute-quotes
> +This function works like @code{substitute-command-keys}, but only
> +replaces quote characters.

The argument is missing, and is not mentioned in the description.
Also, you need "@end defun" to end it.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 12 Oct 2021 15:59:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 11:59:24 2021
Received: from localhost ([127.0.0.1]:50034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maKBX-0002XE-Sb
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 11:59:24 -0400
Received: from mail-pl1-f182.google.com ([209.85.214.182]:47039)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1maKBV-0002Wu-Jx
 for 51040 <at> debbugs.gnu.org; Tue, 12 Oct 2021 11:59:22 -0400
Received: by mail-pl1-f182.google.com with SMTP id 21so7635708plo.13
 for <51040 <at> debbugs.gnu.org>; Tue, 12 Oct 2021 08:59:21 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=9qZuBLJqRmORJ5Umk1mzd9YPs2EUPJXtkITu3Dbkj3E=;
 b=coGUgKRF+1nKCa5+MPkwbUjqPe6k3psXh7Rc/UXN6KAG+fkSe4+Iw2PQcajKVfRf3L
 0Tpc1y0+WBRNymSrfm0hMrQRAV3XTBwR8HEitpioGT8X3qXx9a+o56bspA4rv9qOHzRX
 D9wIvOFk90vM6FEoGxGMGELoZP95U1jl2J17+/RZlAEBKGEPnSs0PIHKcnS+ptVFcUs1
 zW3Sxn0/oDxzKQ0m7HiMeOcWXukjOW92HXTv1F6Dfpx7HBeYuNPiWw1gioBV1JFHunU2
 wE44DhAox3KbR28Vy/oJDCHU+MMdvjpzSsgL3QXkW8Py1EP1VO9wOMKvT/UoEOC1+9ZL
 H5rw==
X-Gm-Message-State: AOAM530SziHDNPoMz3Okg81hO/ijVNSDQGlzLDiqROzH14vSYiRN9sLZ
 vHMNXr++nOM1f+DA/8uy4/6NxMMITjNrWCv6wSjXXsmd
X-Google-Smtp-Source: ABdhPJwwfG1tXXoUVGrwi9BQxxkf0jDbInKpZyS/KhFL5Lh1+QOsaPXB81q4/wLjyqUVfSeMuxb03heDF33pTjX1ncg=
X-Received: by 2002:a17:902:e74a:b0:13f:3538:fca0 with SMTP id
 p10-20020a170902e74a00b0013f3538fca0mr13042962plf.22.1634054355871; Tue, 12
 Oct 2021 08:59:15 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 12 Oct 2021 08:59:15 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83lf2yquan.fsf@HIDDEN>
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
 <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
 <87fstefs2u.fsf@HIDDEN>
 <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
 <83lf2yquan.fsf@HIDDEN>
MIME-Version: 1.0
Date: Tue, 12 Oct 2021 08:59:15 -0700
Message-ID: <CADwFkm=G0-AzyhBS7Fa9FX0OWFmHMrVRevJDCmXCFxoz8bs9hg@HIDDEN>
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000006d0c9505ce29edd2"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--0000000000006d0c9505ce29edd2
Content-Type: text/plain; charset="UTF-8"

Eli Zaretskii <eliz@HIDDEN> writes:

> Shouldn't substitute-quotes be documented?

Yes, I also didn't yet add NEWS yet.  Fixed in the attached.

> Aren't we supposed to use string-replace nowadays in these
> situations?

Good catch, fixed.

> Also, this seems to ignore the nil value of text-quoting-style?

The reason is that `text-quoting-style' (the function) handles this
already, and will never return nil.  (This is arguably a bit confusing,
but it is what it is.)

> And finally, I think the doc string of text-quoting-style should be
> amended, since it says that variable's effect is limited to help text
> and format-message, but now it seems its effect will spread much
> wider.

Hmm, in what sense will it spread wider?  I think this will still be
limited to help and messages?  IOW, I'm happy to add something, but I'm
not sure what that would be.

>> * lisp/minibuffer.el (format-prompt): Use substitute-command-keys.
>> (Bug#51040)
>
> I'm not sure I understand the rationale for this.  This will change
> the appearance of formatted prompts, won't it?  So people will now
> have to use \\=' to get a literal apostrophe?  is that really what we
> want, and if so, why?

The reason for the change is that we want curved quotes for all the
usual reasons, and it might be useful to allow command substitutions as
well, in case a prompt wants to show a keybinding.

format-prompt is new in Emacs 28.1, so I guess we're deciding its
semantics now.  That may or may not be strong enough reason to push this
change to emacs-28 instead of master.

New patch attached, thanks for reviewing.

--0000000000006d0c9505ce29edd2
Content-Type: text/x-diff; charset="utf-8"; 
	name="0001-New-function-substitute-quotes.patch"
Content-Disposition: attachment; 
	filename="0001-New-function-substitute-quotes.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: e0f6d8892e1a03bc_0.1
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--0000000000006d0c9505ce29edd2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 12 Oct 2021 14:17:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 10:17:53 2021
Received: from localhost ([127.0.0.1]:43925 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maIbI-0001Zr-N2
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 10:17:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1maIbD-0001Wy-G3
 for 51040 <at> debbugs.gnu.org; Tue, 12 Oct 2021 10:17:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41562)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1maIb7-00027B-Em; Tue, 12 Oct 2021 10:17:42 -0400
Received: from [87.69.77.57] (port=4571 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1maIb5-0001t4-3h; Tue, 12 Oct 2021 10:17:40 -0400
Date: Tue, 12 Oct 2021 17:17:31 +0300
Message-Id: <83zgrepbt0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87pmsae9gv.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 12 Oct 2021 14:03:28 +0200)
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
 <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
 <87fstefs2u.fsf@HIDDEN>
 <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
 <87pmsae9gv.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 51040 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
> Date: Tue, 12 Oct 2021 14:03:28 +0200
> 
> Stefan Kangas <stefan@HIDDEN> writes:
> 
> > OK, so here's what I propose.  The first patch adds a function
> > `substitute-quotes' and could go to master, the second one changes
> > `format-prompt' to use `substitute-command-keys' and could go to
> > emacs-28.
> 
> The first one looks OK to me, but I'm unsure about the second one.  I
> mean, it's a small change, but it's hard to say whether this will lead
> to obscure regressions in some people's work flows.  So I'm leaning
> towards not changing this in emacs-28 at this point.
> 
> Eli, do you have an opinion?

I agree, let's not install on emacs-28 anything that doesn't have to
be there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 12 Oct 2021 12:53:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 08:53:23 2021
Received: from localhost ([127.0.0.1]:36705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maHHW-0003sr-L1
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 08:53:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1maHHG-0003rY-Dx
 for 51040 <at> debbugs.gnu.org; Tue, 12 Oct 2021 08:53:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37322)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1maHHA-0002xn-Or; Tue, 12 Oct 2021 08:53:00 -0400
Received: from [87.69.77.57] (port=3231 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1maHH5-0007NK-JJ; Tue, 12 Oct 2021 08:53:00 -0400
Date: Tue, 12 Oct 2021 15:52:48 +0300
Message-Id: <83lf2yquan.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
 (message from Stefan Kangas on Mon, 11 Oct 2021 13:58:58 -0700)
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
 <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
 <87fstefs2u.fsf@HIDDEN>
 <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Mon, 11 Oct 2021 13:58:58 -0700
> Cc: 51040 <at> debbugs.gnu.org
> 
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
> 
> > Yeah, having a separate function for this would be good, because those
> > bits are pretty confusing.  But as you say, in this `format-prompt'
> > case, using `substitute-command-keys' is probably the right thing, since
> > we could be actually using key defs in the prompt.
> 
> OK, so here's what I propose.  The first patch adds a function
> `substitute-quotes' and could go to master, the second one changes
> `format-prompt' to use `substitute-command-keys' and could go to
> emacs-28.
> 
> From e455d509a27b2705f006bc2111228a9a8b8df0b4 Mon Sep 17 00:00:00 2001
> From: Stefan Kangas <stefan@HIDDEN>
> Date: Mon, 11 Oct 2021 22:46:31 +0200
> Subject: [PATCH 1/2] New function substitute-quotes
> 
> * lisp/help.el (substitute-quotes): New function.  (Bug#51040)
> * lisp/cedet/srecode/srt-mode.el (srecode-macro-help):
> * lisp/cus-theme.el (describe-theme-1):
> * lisp/emacs-lisp/cl-extra.el (cl--describe-class):
> * lisp/emacs-lisp/eieio-opt.el (eieio-help-constructor):
> * lisp/emacs-lisp/package.el (describe-package-1):
> * lisp/help-fns.el (help-fns--parent-mode, help-fns--var-risky)
> (help-fns--var-file-local, help-fns--var-bufferlocal)
> (describe-face):
> * lisp/help.el (substitute-command-keys):
> * lisp/progmodes/octave.el (octave-help): Use the new function
> instead of 'substitute-command-keys'.
> * test/lisp/help-tests.el (help-tests-substitute-quotes): New test.

Shouldn't substitute-quotes be documented?

> +(defun substitute-quotes (string)
> +  "Substitute quote characters for display.
> +Each grave accent \\=` is replaced by left quote, and each
> +apostrophe \\=' is replaced by right quote.  Left and right quote
> +characters are specified by ‘text-quoting-style’."
> +  (cond ((eq (text-quoting-style) 'curve)
> +         (replace-regexp-in-string
> +          "`" "‘"
> +          (replace-regexp-in-string "'" "’" string)))
> +        ((eq (text-quoting-style) 'straight)
> +         (replace-regexp-in-string "`" "'" string))

Aren't we supposed to use string-replace nowadays in these
situations?

Also, this seems to ignore the nil value of text-quoting-style?

And finally, I think the doc string of text-quoting-style should be
amended, since it says that variable's effect is limited to help text
and format-message, but now it seems its effect will spread much
wider.
> Subject: [PATCH 2/2] Use substitute-command-keys in format-prompt
> 
> * lisp/minibuffer.el (format-prompt): Use substitute-command-keys.
> (Bug#51040)

I'm not sure I understand the rationale for this.  This will change
the appearance of formatted prompts, won't it?  So people will now
have to use \\=' to get a literal apostrophe?  is that really what we
want, and if so, why?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 12 Oct 2021 12:37:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 08:37:14 2021
Received: from localhost ([127.0.0.1]:36107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maH1t-0000t7-Vz
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 08:37:14 -0400
Received: from mail-pg1-f173.google.com ([209.85.215.173]:43862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1maH1k-0000s0-Ul
 for 51040 <at> debbugs.gnu.org; Tue, 12 Oct 2021 08:37:05 -0400
Received: by mail-pg1-f173.google.com with SMTP id r2so13741451pgl.10
 for <51040 <at> debbugs.gnu.org>; Tue, 12 Oct 2021 05:37:04 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=Ddi250KWRiv5XoVp/AfrKXMdBgONrSeeKsVha9leqf8=;
 b=xDiIeUXuTuqcRFxCO3dWlZROeCBjDJkzTCAIBys5zvikfp0XRafUpAV57COWlcvg9u
 sFFbZ/B9ILaHojjVbM1zP3QJRQugFbghinmr5mQHgawH7lseKGu5jvcTZpGtDiSOPgc+
 pK4z9WWjwhHAoH7V7hpE2Ol0J15Ixjc1aMMWzc5BgK7IGgy/ZemE04OGY94XEfZKEt9X
 AnXFNE+xsFd0LEuR9WMVkCYWZnLT2yqsF13NGXwU9H9GZBWY71sJPRy1QBDfgKJPch0v
 jcSOcUFGKbTnbjiOogHUrcf03+U9g8WEQdwjHea+jR4PA8WszpELydKvtmt9qWA522W5
 atlg==
X-Gm-Message-State: AOAM53190b2fm5waUdVjzWHYEM3Zp7qK5cZGteWkvdLEEe5Dr2mh4KEe
 YEbLuwm75KbA62yPfkXV8GDSGw+3G2ntHnuYN8YgB/BTYPo=
X-Google-Smtp-Source: ABdhPJwef5RfCifASHUdaIehGVBTTwWpxGvk+CFmRe7G2mu2su++KHeuq6uc/ufnQjSd430cO2E148wrSP/cLohdjXU=
X-Received: by 2002:aa7:978b:0:b0:44c:abf1:a8b8 with SMTP id
 o11-20020aa7978b000000b0044cabf1a8b8mr31547541pfp.35.1634042219132; Tue, 12
 Oct 2021 05:36:59 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 12 Oct 2021 05:36:58 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87pmsae9gv.fsf@HIDDEN>
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
 <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
 <87fstefs2u.fsf@HIDDEN>
 <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
 <87pmsae9gv.fsf@HIDDEN>
MIME-Version: 1.0
Date: Tue, 12 Oct 2021 05:36:58 -0700
Message-ID: <CADwFkmnqqCfVn5nzhN6fux0jtr0KB1+HJXRz_RDPmqzV9tG6zw@HIDDEN>
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> The first one looks OK to me, but I'm unsure about the second one.  I
> mean, it's a small change, but it's hard to say whether this will lead
> to obscure regressions in some people's work flows.  So I'm leaning
> towards not changing this in emacs-28 at this point.

I'm fine with putting it on master as well, of course.
The issue it fixes it very minor in any case.

> Eli, do you have an opinion?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 12 Oct 2021 12:03:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 08:03:39 2021
Received: from localhost ([127.0.0.1]:33754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maGVP-0004lC-NS
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 08:03:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37414)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1maGVN-0004kw-Qg
 for 51040 <at> debbugs.gnu.org; Tue, 12 Oct 2021 08:03:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=jqun2Jl3IPAQTVHwItSM6vaTNc3X0WLnRcRdCN96TF0=; b=Eb7fVUWrdnQASY4pkLYjrfJ4sx
 l95st/pqMXQ0VXlN25sELzUqDktpY87Q2mksaXJVoziT2H/9nd2x0ReqNwlkKkKEI+xcPKqCKsIls
 j5oQsWgbb1mYV+CT3uBrCf7ywamoiRQcIixe/pT4n4alZMG6BwPMaYzi2GmiMZDus380=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1maGVF-0004kG-FR; Tue, 12 Oct 2021 14:03:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
 <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
 <87fstefs2u.fsf@HIDDEN>
 <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
X-Now-Playing: The Soft Pink Truth's _Am I Free To Go?_: "Profithysteri
 (Skitsystem cover)"
Date: Tue, 12 Oct 2021 14:03:28 +0200
In-Reply-To: <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
 (Stefan Kangas's message of "Mon, 11 Oct 2021 13:58:58 -0700")
Message-ID: <87pmsae9gv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > OK, so here's
 what I propose. The first patch adds a function > `substitute-quotes' and
 could go to master,
 the second one changes > `format-prompt' to use `substitute-command-keys'
 and could go to [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> OK, so here's what I propose.  The first patch adds a function
> `substitute-quotes' and could go to master, the second one changes
> `format-prompt' to use `substitute-command-keys' and could go to
> emacs-28.

The first one looks OK to me, but I'm unsure about the second one.  I
mean, it's a small change, but it's hard to say whether this will lead
to obscure regressions in some people's work flows.  So I'm leaning
towards not changing this in emacs-28 at this point.

Eli, do you have an opinion?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.
Added tag(s) patch. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 11 Oct 2021 20:59:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 11 16:59:07 2021
Received: from localhost ([127.0.0.1]:32808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ma2O2-0006Xa-UB
	for submit <at> debbugs.gnu.org; Mon, 11 Oct 2021 16:59:07 -0400
Received: from mail-pj1-f42.google.com ([209.85.216.42]:46769)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1ma2O0-0006X4-SD
 for 51040 <at> debbugs.gnu.org; Mon, 11 Oct 2021 16:59:05 -0400
Received: by mail-pj1-f42.google.com with SMTP id
 pi19-20020a17090b1e5300b0019fdd3557d3so884624pjb.5
 for <51040 <at> debbugs.gnu.org>; Mon, 11 Oct 2021 13:59:04 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=JMHtS1mP3vIPjOZMbeM2Z1/JspIKLWlBJACV+pUIfQU=;
 b=A8SmcxA/gZxmxuibMpraVmSlhXXq1qvIWUBAUGjakuT6/c/VdBkx/TJQd+Y+qfNKmr
 l7x65hWvAo24Q0a4vtLL41jGRIemybmDoRg3CBuvA6Dg3T+ncCBtKgreLMk4ZJFqcIPP
 Qje7n94wQdH+abZl+1CtmyZm/6Dfy3wPEZUsiF+nebIocM8W0IEltzmwDpBNQ5WqDsuM
 6Z2j3R1NBvRNFPMM1bLwrE0v6JzNTl9VAgLiEIoH2KlcJR9LR8jjiTmU5SMtM/R3dYpu
 prrlBIVCkz69CJopXl0E2e1sZ5DesBUuJUftgq0O3w1lU10TXwMOkSK1oYJ5TWdiYTCH
 2yRQ==
X-Gm-Message-State: AOAM5329AIR4UFoii4RagD2u9Sp2W9LLj9sSz5KhHidg0rnSLSrwPsZ5
 YXqLAsnasLjGbCx/jkEMy6VNXWaUxhuZyvFn/ZI=
X-Google-Smtp-Source: ABdhPJxwSGy/MDSz9cpgWlVfSdRQ+tkmhMZ8B1OJF3eXknPvhxJ/bA798w7JsX9y9mLcrmz7k2WElzRj0ldTSlKxz64=
X-Received: by 2002:a17:90a:5583:: with SMTP id
 c3mr1334490pji.133.1633985938968; 
 Mon, 11 Oct 2021 13:58:58 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 11 Oct 2021 13:58:58 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87fstefs2u.fsf@HIDDEN>
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
 <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
 <87fstefs2u.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 11 Oct 2021 13:58:58 -0700
Message-ID: <CADwFkm=kZdYgv9qvYCBks2YN9WHovGzysV9TEgWp9N5nN4d_fA@HIDDEN>
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000075f23f05ce19ff00"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--00000000000075f23f05ce19ff00
Content-Type: text/plain; charset="UTF-8"

tags 51040 + patch
thanks

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Yeah, having a separate function for this would be good, because those
> bits are pretty confusing.  But as you say, in this `format-prompt'
> case, using `substitute-command-keys' is probably the right thing, since
> we could be actually using key defs in the prompt.

OK, so here's what I propose.  The first patch adds a function
`substitute-quotes' and could go to master, the second one changes
`format-prompt' to use `substitute-command-keys' and could go to
emacs-28.

--00000000000075f23f05ce19ff00
Content-Type: text/x-diff; charset="utf-8"; 
	name="0001-New-function-substitute-quotes.patch"
Content-Disposition: attachment; 
	filename="0001-New-function-substitute-quotes.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 46873570998d7733_0.1
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--00000000000075f23f05ce19ff00
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="0002-Use-substitute-command-keys-in-format-prompt.patch"
Content-Disposition: attachment; 
	filename="0002-Use-substitute-command-keys-in-format-prompt.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 46873570998d7733_0.2

RnJvbSA3YzIyOTU4OTgzM2RiMGVmMjExMjhlZmQwNjcyMjgxMjc5YmExODIzIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBTdGVmYW4gS2FuZ2FzIDxzdGVmYW5AbWFyeGlzdC5zZT4KRGF0
ZTogTW9uLCAxMSBPY3QgMjAyMSAyMjo1MDozOCArMDIwMApTdWJqZWN0OiBbUEFUQ0ggMi8yXSBV
c2Ugc3Vic3RpdHV0ZS1jb21tYW5kLWtleXMgaW4gZm9ybWF0LXByb21wdAoKKiBsaXNwL21pbmli
dWZmZXIuZWwgKGZvcm1hdC1wcm9tcHQpOiBVc2Ugc3Vic3RpdHV0ZS1jb21tYW5kLWtleXMuCihC
dWcjNTEwNDApCi0tLQogbGlzcC9taW5pYnVmZmVyLmVsIHwgMjUgKysrKysrKysrKysrKy0tLS0t
LS0tLS0tLQogMSBmaWxlIGNoYW5nZWQsIDEzIGluc2VydGlvbnMoKyksIDEyIGRlbGV0aW9ucygt
KQoKZGlmZiAtLWdpdCBhL2xpc3AvbWluaWJ1ZmZlci5lbCBiL2xpc3AvbWluaWJ1ZmZlci5lbApp
bmRleCAxZTFhNmY4NTJlLi42OTQ4MDBkZTdjIDEwMDY0NAotLS0gYS9saXNwL21pbmlidWZmZXIu
ZWwKKysrIGIvbGlzcC9taW5pYnVmZmVyLmVsCkBAIC00MjI5LDE4ICs0MjI5LDE5IEBAIGZvcm1h
dC1wcm9tcHQKIAogSWYgREVGQVVMVCBpcyBuaWwgb3IgYW4gZW1wdHkgc3RyaW5nLCBubyBcImRl
ZmF1bHQgdmFsdWVcIiBzdHJpbmcKIGlzIGluY2x1ZGVkIGluIHRoZSByZXR1cm4gdmFsdWUuIgot
ICAoY29uY2F0Ci0gICAoaWYgKG51bGwgZm9ybWF0LWFyZ3MpCi0gICAgICAgcHJvbXB0Ci0gICAg
IChhcHBseSAjJ2Zvcm1hdCBwcm9tcHQgZm9ybWF0LWFyZ3MpKQotICAgKGFuZCBkZWZhdWx0Ci0g
ICAgICAgIChvciAobm90IChzdHJpbmdwIGRlZmF1bHQpKQotICAgICAgICAgICAgKGxlbmd0aD4g
ZGVmYXVsdCAwKSkKLSAgICAgICAgKGZvcm1hdCBtaW5pYnVmZmVyLWRlZmF1bHQtcHJvbXB0LWZv
cm1hdAotICAgICAgICAgICAgICAgIChpZiAoY29uc3AgZGVmYXVsdCkKLSAgICAgICAgICAgICAg
ICAgICAgKGNhciBkZWZhdWx0KQotICAgICAgICAgICAgICAgICAgZGVmYXVsdCkpKQotICAgIjog
IikpCisgIChzdWJzdGl0dXRlLWNvbW1hbmQta2V5cworICAgKGNvbmNhdAorICAgIChpZiAobnVs
bCBmb3JtYXQtYXJncykKKyAgICAgICAgcHJvbXB0CisgICAgICAoYXBwbHkgIydmb3JtYXQgcHJv
bXB0IGZvcm1hdC1hcmdzKSkKKyAgICAoYW5kIGRlZmF1bHQKKyAgICAgICAgIChvciAobm90IChz
dHJpbmdwIGRlZmF1bHQpKQorICAgICAgICAgICAgIChsZW5ndGg+IGRlZmF1bHQgMCkpCisgICAg
ICAgICAoZm9ybWF0IG1pbmlidWZmZXItZGVmYXVsdC1wcm9tcHQtZm9ybWF0CisgICAgICAgICAg
ICAgICAgIChpZiAoY29uc3AgZGVmYXVsdCkKKyAgICAgICAgICAgICAgICAgICAgIChjYXIgZGVm
YXVsdCkKKyAgICAgICAgICAgICAgICAgICBkZWZhdWx0KSkpCisgICAgIjogIikpKQogCiAocHJv
dmlkZSAnbWluaWJ1ZmZlcikKIAotLSAKMi4zMC4yCgo=
--00000000000075f23f05ce19ff00--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 6 Oct 2021 08:58:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 06 04:58:11 2021
Received: from localhost ([127.0.0.1]:42489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mY2kd-0004Bj-HA
	for submit <at> debbugs.gnu.org; Wed, 06 Oct 2021 04:58:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mY2kb-0004BW-Or
 for 51040 <at> debbugs.gnu.org; Wed, 06 Oct 2021 04:58:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=RyI+3jZMUgpZSkggT5LYuJt5ngKOUFvs6qZNbW4PoYo=; b=XB6TAP3A7oP/eOh6AmZ6iev04E
 YUDs0eXcZA0mTFQSqXFEq+K202hOeXkrrJGbrUD32XxdzJJfsUoBaXJVvNo2s7kUPvLpBqjRd+RQr
 xcEUt3Qa4LRMzjZoEmUdGki7xszogi3UrsDrcXGVfvhNTRDWaHyLSjVb4zdJx5LmCN20=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mY2kT-0000DN-QW; Wed, 06 Oct 2021 10:58:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
 <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
X-Now-Playing: DJ Screw's _All Work, No Play_: "DJ Screw  Lil Keke  Fat Pat
 Herschelwood Hardheadz CD   LP s  feat  Lil Keke  Fat Pat  Herschelwo"
Date: Wed, 06 Oct 2021 10:58:01 +0200
In-Reply-To: <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
 (Stefan Kangas's message of "Tue, 5 Oct 2021 13:11:33 -0400")
Message-ID: <87fstefs2u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > On the other hand,
 there are some places where we obviously will never > want to run a "full"
 `substitute-command-keys', for example I think we > have some places where
 we awkwardly say (substitute- [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> On the other hand, there are some places where we obviously will never
> want to run a "full" `substitute-command-keys', for example I think we
> have some places where we awkwardly say (substitute-command-keys "'").

Yeah, having a separate function for this would be good, because those
bits are pretty confusing.  But as you say, in this `format-prompt'
case, using `substitute-command-keys' is probably the right thing, since
we could be actually using key defs in the prompt.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.
Severity set to 'minor' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 5 Oct 2021 17:11:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 05 13:11:43 2021
Received: from localhost ([127.0.0.1]:41818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mXnyh-0004rn-HJ
	for submit <at> debbugs.gnu.org; Tue, 05 Oct 2021 13:11:43 -0400
Received: from mail-pf1-f173.google.com ([209.85.210.173]:35545)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mXnyd-0004rW-Ue
 for 51040 <at> debbugs.gnu.org; Tue, 05 Oct 2021 13:11:41 -0400
Received: by mail-pf1-f173.google.com with SMTP id c29so116026pfp.2
 for <51040 <at> debbugs.gnu.org>; Tue, 05 Oct 2021 10:11:39 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=Aa4GgXiQ92PN9kiHRSjZPmi0TTL4mREIxHxDTVncBw0=;
 b=JavTt5sctakrgOzIEibDUC2LEdnQJZ3vc3s4OThHwnSfeVJ0Xu/58Irar2TpVCZIsn
 3aN+xsI3FrRWbtiL/O1CKswqf8zy8Y9kx6dSrsLHi8axqPe8sdbpBa1hW//ciBV3KKdb
 SKZDlkHlmmpynCXFPchiaIzwXSpUrr4D7phdtUM2tSZtjOYtVQ84amGANvoNtFqkA5Gj
 YGha/NVvLool27+nK0pPJJtmM60Z9LdzHnzk1c9NrFJLAJ3yJLy5sy3FB4C4lpTyysH/
 +D6v7ozc+ckBjU32oUFo/2CK6uauFlpChhOW/ke2/DrE8BLfGiKuO6FAnAi7/iDeDoci
 ouZQ==
X-Gm-Message-State: AOAM530IkfkjkDZ2wgd+pjcDqaFXlrvE+gLak5xDWRg2oLSNgb5ZyuCm
 DqAVxhItHpUcUxXF3DwWXXeu8sjJH26dWvguYJk=
X-Google-Smtp-Source: ABdhPJxkzdRWr0sgdAanujZOgaDQPFMVIQPzuDoHsZt2ROB7qDMifl4+PkVLtn0KusuyY4ps/Zhry3rMmhVaLrplxyE=
X-Received: by 2002:a63:6941:: with SMTP id e62mr16572299pgc.114.1633453893907; 
 Tue, 05 Oct 2021 10:11:33 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 5 Oct 2021 13:11:33 -0400
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87o883776l.fsf@HIDDEN>
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 <87o883776l.fsf@HIDDEN>
MIME-Version: 1.0
Date: Tue, 5 Oct 2021 13:11:33 -0400
Message-ID: <CADwFkmkMWcH1pW8pPFQUjPb1o-V7p_gkcCcxxhZkCbq6ctZ_3Q@HIDDEN>
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Perhaps refactor out the curved quote stuff from
> `substitute-command-keys' into its own function and then use that?
> (Note: I haven't actually looked at that function.)

I've been thinking about doing that for a while and I keep going back
and forth.

First, it's a bit tricky to factor this stuff out from
`substitute-command-keys'.  I have a rewrite of that function in the
works (that I should probably finish up at some point), but even then it
is not exactly obvious that this would be super easy and obvious to
factor out in a good way.

So if we do this, I think we should just bite the bullet and duplicate
this functionality in a new function.  It should just be a simple
search+replace, so the duplication shouldn't be too bad.

In some cases, we don't have command substitutions, so it would be nicer
to be able to say `use-fancy-quotes' if that's what we want.  On the
other hand, besides the name there is also no immediate drawback to run
`substitute-command-keys'.

It is kind of nice to know that if we ever expand to have input with
command substitution, it will just work.  For example, what if a prompt
wants to say something like

    (format-prompt "You pressed \\[foo-bar], now input ...")

On the other hand, there are some places where we obviously will never
want to run a "full" `substitute-command-keys', for example I think we
have some places where we awkwardly say (substitute-command-keys "'").




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.

Message received at 51040 <at> debbugs.gnu.org:


Received: (at 51040) by debbugs.gnu.org; 5 Oct 2021 16:44:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 05 12:44:32 2021
Received: from localhost ([127.0.0.1]:41734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mXnYO-0001sR-6Y
	for submit <at> debbugs.gnu.org; Tue, 05 Oct 2021 12:44:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mXnYK-0001sA-3n
 for 51040 <at> debbugs.gnu.org; Tue, 05 Oct 2021 12:44:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/zPkw1qDclrkprmgIG8y2vmHFNrWuCzAvspt9Htw1ck=; b=ddhCprWJBgdg3Rzr5zcd6hvZey
 VKS/tr4Kqf+1+GdJQmYw4zwvW6VIpeKqI8Gm3gJ+UhHxUZimDU6BXayntQFQLFGNeeCRUMqcrqgrv
 vMzDtM25vpp4fG7EO6O8m/Z3P9Bk0COFAEwymr4h4iVSKOXSYJGhqHdTXqz5MmZHSIFk=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mXnYA-0000QF-Qd; Tue, 05 Oct 2021 18:44:21 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#51040: No curved quotes in format-prompt and
 minibuffer-default-prompt-format
References: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEWJe27Iyb9MR1QN
 CxL///8ojF86AAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UKBRArIKYLttMAAAG7SURBVDjLXZOLtYQw
 CEQJaSBqAwgNROi/tzf56j7dPcbcwJAhUjq+F9F4FqIvKKSSXsB6T8DCKhuc4b4Akb8g1yOnpcCh
 a5jsPvjpL4lYfYMSWFf7y80Wb8QZxBMQhQYtkMN5qhMp7hdQodjgjbAg4ehllRJWP0DU4h7AbO21
 ALR7vJvF8wHh870ExhugKooBToDYAMsQ1MW5Reiy97BGjgTbrKnNZB2gqnScMuVmhbAhermnFEYD
 eOoVGA2zUH7zrHm4IwCwTWS8SzpSpsppdtkxdUpr1iMX12dFqKkKU86kVbJWz8MFcnVkKlmkTWoN
 Gq6gN46A07xmD9P2mECQqlwV1mSLfkE9NdDO0gWfxHgAiBCAE99HxpxEqaWe/ZR2oFrRwmpPxjGq
 mZ4Z0RyxyHfEhVDkqzIBbLDgFH7Js0GioRcVJ8rcT28VY98NzCIj9+C2aALvP2SaC9CqslK1ID8X
 6HZ34D3bC9ICQ6ZMCfRwg/iN8PID2Pdwa6BEbN7xRXQftb4R3oWctReIL+AL+n9sV+SjgRQ6593/
 gVgglPbcyDcv049Gz2Vjv/oPoJt9Rxj8pNIYEeiM/gHlxYv83DCzmgAAACV0RVh0ZGF0ZTpjcmVh
 dGUAMjAyMS0xMC0wNVQxNjo0MzozMiswMDowMHueBIIAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEt
 MTAtMDVUMTY6NDM6MzIrMDA6MDAKw7w+AAAAAElFTkSuQmCC
X-Now-Playing: Goldie's _DJ-Kicks_: "Hyaena"
Date: Tue, 05 Oct 2021 18:44:18 +0200
In-Reply-To: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
 (Stefan Kangas's message of "Tue, 5 Oct 2021 12:40:40 -0400")
Message-ID: <87o883776l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > It seems like
 `format-prompt' and `minibuffer-default-prompt-format' > does not support
 curved quotes. Should they? I think so... 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51040
Cc: 51040 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> It seems like `format-prompt' and `minibuffer-default-prompt-format'
> does not support curved quotes.  Should they?

I think so...

> Now, this is easy to fix, but we need to decide if it's okay that
> `format-prompt' just runs `substitute-command-keys' on these by default.
> I believe that fix should be fine, but maybe I'm missing something.

Perhaps refactor out the curved quote stuff from
`substitute-command-keys' into its own function and then use that?
(Note: I haven't actually looked at that function.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Oct 2021 16:40:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 05 12:40:57 2021
Received: from localhost ([127.0.0.1]:41727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mXnUv-0001mI-Mp
	for submit <at> debbugs.gnu.org; Tue, 05 Oct 2021 12:40:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:53630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mXnUq-0001m6-Ra
 for submit <at> debbugs.gnu.org; Tue, 05 Oct 2021 12:40:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44192)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1mXnUl-0001zk-Tw
 for bug-gnu-emacs@HIDDEN; Tue, 05 Oct 2021 12:40:50 -0400
Received: from mail-pf1-f176.google.com ([209.85.210.176]:45902)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1mXnUh-0007o9-5N
 for bug-gnu-emacs@HIDDEN; Tue, 05 Oct 2021 12:40:47 -0400
Received: by mail-pf1-f176.google.com with SMTP id h1so7205815pfv.12
 for <bug-gnu-emacs@HIDDEN>; Tue, 05 Oct 2021 09:40:42 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to
 :content-transfer-encoding;
 bh=sdB7g4LRIKcCqyCMshNaTTEarxHGbi0j6qWswKVzJEw=;
 b=tuI5Upex1jne4XncMS/rt+vo1hfR1AxQKRBvDvfLRa5GynWOPR5SvwHuOmnJCOYBtO
 LhZ3W035SAAgjxhhCwo5jygu3TIHb/kQ5cfX6YeVLHiUXdmSzqK6h+7LyA+zy83FIhNp
 mj7o2pBoxyB9CxC8ToZdxrD01jqcqyHSfVHHNtpqqTWxeu7geHVj2tsRzPGk+b5ZyNOf
 ctyBqCFUMTeN1MhCKRCBcvqWj6t8iAPcMTwHzxlSklGGhB79zBLQElvGQcYNWWALJBJu
 bsVsR0h11RzdsQ9Kt2Pm4Jq4eccTLnF9WebblMYesTLKEHrRKWHRGfj8myd4FTSC9+hr
 qkKA==
X-Gm-Message-State: AOAM531QxcMXnugrYQCvjKunXwE4Q13deC9DM3Z/8iVZXqld/c7FHAgX
 YHwadgQypd/Blew80sR1J76QWeNZEhMQOTXvVUM6pIfB
X-Google-Smtp-Source: ABdhPJyZbHbyw7A9d/zI3FtzR5dhkRggUqXWd0jvo4p5lwJtDfFG7MOnQpBraHU8zlW1ohdO/2toKtbUcWFu40aa1Oc=
X-Received: by 2002:a63:d506:: with SMTP id c6mr1420649pgg.42.1633452041296;
 Tue, 05 Oct 2021 09:40:41 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 5 Oct 2021 12:40:40 -0400
From: Stefan Kangas <stefan@HIDDEN>
X-Debbugs-CC: Lars Ingebrigtsen <larsi@HIDDEN>
MIME-Version: 1.0
Date: Tue, 5 Oct 2021 12:40:40 -0400
Message-ID: <CADwFkm=2Y2hgUSy44j5tX2s+HyGJw6a4o3jDJ+8Rr8_GG+NJsw@HIDDEN>
Subject: No curved quotes in format-prompt and minibuffer-default-prompt-format
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=209.85.210.176;
 envelope-from=stefankangas@HIDDEN; helo=mail-pf1-f176.google.com
X-Spam_score_int: 0
X-Spam_score: -0.0
X-Spam_bar: /
X-Spam_report: (-0.0 / 5.0 requ) BAYES_05=-0.5,
 FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

It seems like `format-prompt' and `minibuffer-default-prompt-format'
does not support curved quotes.  Should they?

To reproduce, evaluate this forms in emacs -Q:

    (format-prompt "foo `bar'" nil)

    =3D> "foo `bar': "

And:

    (let ((minibuffer-default-prompt-format " (default `%s')"))
      (format-prompt "foo `bar'" t))

    =3D> "foo `bar' (default `t'): "

My expectation is that I get this, where fancy quotes are supported:

    "foo =E2=80=98bar=E2=80=99 (default =E2=80=98t=E2=80=99): "

Now, this is easy to fix, but we need to decide if it's okay that
`format-prompt' just runs `substitute-command-keys' on these by default.
I believe that fix should be fine, but maybe I'm missing something.




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to larsi@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to larsi@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#51040; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 12 Oct 2021 23:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.